#!/usr/bin/env node
"use strict";

var _Deployator = _interopRequireWildcard(require("./Deployator"));

var _sshDeployRelease = _interopRequireDefault(require("ssh-deploy-release"));

var _yargs = _interopRequireDefault(require("yargs"));

var _initializeConfiguration = _interopRequireDefault(require("./initialize-configuration"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const argv = _yargs.default.command({
  command: 'list [--config]',
  desc: 'List available environments',
  handler: argv => {
    (0, _Deployator.listEnvironments)(argv);
  }
}).command({
  command: 'deploy [--config] [--environment] [--debug] [--synchronize]',
  desc: 'Deploy release to the remote server',
  handler: argv => {
    const deployator = new _Deployator.default(argv, _sshDeployRelease.default);
    deployator.deploy();
  }
}).command({
  command: 'remove [--config] [--environment] [--debug]',
  desc: 'Deploy release to the remote server',
  handler: argv => {
    const deployator = new _Deployator.default(argv, _sshDeployRelease.default);
    deployator.remove();
  }
}).command({
  command: 'rollback [--config] [--environment] [--debug]',
  desc: 'Rollback to the previous release',
  handler: argv => {
    const deployator = new _Deployator.default(argv, _sshDeployRelease.default);
    deployator.rollback();
  }
}).command({
  command: 'init [--config]',
  desc: 'Initialize configuration file',
  handler: argv => {
    (0, _initializeConfiguration.default)(argv.config);
  }
}).demandCommand().option('config', {
  alias: 'c',
  describe: 'path of configuration file'
}).option('environment', {
  alias: 'e',
  describe: 'environment name (example: review, preproduction)'
}).option('debug', {
  alias: 'd',
  describe: 'Enable debug mode',
  boolean: true
}).option('synchronize', {
  alias: 's',
  describe: 'Enable synchronize mode',
  boolean: true
}).help().showHelpOnFail().argv;