"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(newConfigurationFilePath) {
  if (!newConfigurationFilePath) {
    newConfigurationFilePath = 'deployment-config.js';
  }

  if (_fs.default.existsSync(newConfigurationFilePath)) {
    console.warn(`File "${newConfigurationFilePath}" exists. Aborting.`);
    return;
  }

  ensureDirectoryExists(_path.default.dirname(newConfigurationFilePath));

  const templateFilePath = _path.default.resolve(__dirname, 'templates/deployator-config.js');

  _fs.default.copyFileSync(_path.default.resolve(__dirname, 'templates/deployator-config.js'), newConfigurationFilePath);

  console.info('✨  Created a boilerplate configuration file at ' + newConfigurationFilePath);
}

function ensureDirectoryExists(directory) {
  if (!_fs.default.existsSync(directory)) {
    _fs.default.mkdirSync(directory, {
      recursive: true
    });
  }
}